
mapClassC.addSC("default", "Set a command to its defaults");
mapClassC.addSC("exit-class", "Exit from static map class configuration mode");
mapClassC.addSC("frame-relay", "Configure Map parameters");
   mapClassC["frame-relay"].addSC("adaptive-shaping", "Adaptive traffic rate adjustment, Default = none");
      mapClassC["frame-relay"]["adaptive-shaping"].addSC("becn", "Enable rate adjustment in response to BECN");
      mapClassC["frame-relay"]["adaptive-shaping"].addSC("foresight", "Enable rate adjustment in response to ForeSight messages");
   mapClassC["frame-relay"].addSC("bc", "Committed burst size (Bc), Default = 56000 bits");
      mapClassC["frame-relay"].bc.addSC("<300-16000000>", "Applied to both Incoming/Outgoing Bc, Bits");
      mapClassC["frame-relay"].bc.addSC("in", "Incoming Bc (Frame-Relay SVC only)");
      mapClassC["frame-relay"].bc.addSC("out", "Outgoing Bc");
         mapClassC["frame-relay"].bc.out.addSC("<300-16000000>", "Bits");
   mapClassC["frame-relay"].addSC("be", "Excess burst size (Be), Default = 0 bits");
      mapClassC["frame-relay"].be.addSC("<0-16000000>", "Applied to both Incoming/Outgoing Be, Bits");
      mapClassC["frame-relay"].be.addSC("in", "Incoming Be (Frame-Relay SVC only)");
      mapClassC["frame-relay"].be.addSC("out", "Outgoing Be");
         mapClassC["frame-relay"].be.out.addSC("<0-16000000>", "Bits");
   mapClassC["frame-relay"].addSC("cir", "Committed Information Rate (CIR), Default = 56000 bps");
      mapClassC["frame-relay"].cir.addSC("<1-45000000>", "Applied to both Incoming/Outgoing CIR, Bits per second");
      mapClassC["frame-relay"].cir.addSC("in", "Incoming CIR (Frame-Relay SVC only)");
      mapClassC["frame-relay"].cir.addSC("out", "Outgoing CIR");
         mapClassC["frame-relay"].cir.out.addSC("<1-45000000>", "Bits per second");
   mapClassC["frame-relay"].addSC("custom-queue-list", "VC custom queueing");
      mapClassC["frame-relay"]["custom-queue-list"].addSC("<1-16>", "Custom queue list number");
   mapClassC["frame-relay"].addSC("end-to-end", "Configure frame-relay end-to-end VC parameters");
      mapClassC["frame-relay"]["end-to-end"].addSC("keepalive", "Configure frame-relay end-to-end VC keepalive parameters");
         mapClassC["frame-relay"]["end-to-end"].keepalive.addSC("error-threshold", "End-to-end keepalive error threshold");
            mapClassC["frame-relay"]["end-to-end"].keepalive["error-threshold"].addSC("recv", "Error threshold for incoming end-to-end Keepalive REQUESTS");
               mapClassC["frame-relay"]["end-to-end"].keepalive["error-threshold"].recv.addSC("<1-32>", "counts");
            mapClassC["frame-relay"]["end-to-end"].keepalive["error-threshold"].addSC("send", "Error threshold for outgoing end-to-end Keepalive REQUESTS");
               mapClassC["frame-relay"]["end-to-end"].keepalive["error-threshold"].send.addSC("<1-32>", "counts");
         mapClassC["frame-relay"]["end-to-end"].keepalive.addSC("event-window", "End-to-end keepalive event window");
            mapClassC["frame-relay"]["end-to-end"].keepalive["event-window"].addSC("recv", "Event window for incoming end-to-end Keepalive REQUESTS");
               mapClassC["frame-relay"]["end-to-end"].keepalive["event-window"].recv.addSC("<1-32>", "counts");
            mapClassC["frame-relay"]["end-to-end"].keepalive["event-window"].addSC("send", "Event window for outgoing end-to-end Keepalive REQUESTS");
               mapClassC["frame-relay"]["end-to-end"].keepalive["event-window"].send.addSC("<1-32>", "counts");
         mapClassC["frame-relay"]["end-to-end"].keepalive.addSC("mode", "End-to-end keepalive mode");
            mapClassC["frame-relay"]["end-to-end"].keepalive.mode.addSC("bidirectional", "Set bidirectional mode");
            mapClassC["frame-relay"]["end-to-end"].keepalive.mode.addSC("passive-reply", "Set passive-reply mode");
            mapClassC["frame-relay"]["end-to-end"].keepalive.mode.addSC("reply", "Set unidirectional reply mode");
            mapClassC["frame-relay"]["end-to-end"].keepalive.mode.addSC("request", "Set unidirectional request mode");
         mapClassC["frame-relay"]["end-to-end"].keepalive.addSC("success-events", "End-to-end keepalive success events");
            mapClassC["frame-relay"]["end-to-end"].keepalive["success-events"].addSC("recv", "Success events for incoming end-to-end Keepalive REQUESTS");
               mapClassC["frame-relay"]["end-to-end"].keepalive["success-events"].recv.addSC("<1-32>", "counts");
            mapClassC["frame-relay"]["end-to-end"].keepalive["success-events"].addSC("send", "Success events for outgoing end-to-end Keepalive REQUESTS");
               mapClassC["frame-relay"]["end-to-end"].keepalive["success-events"].send.addSC("<1-32>", "counts");
         mapClassC["frame-relay"]["end-to-end"].keepalive.addSC("timer", "End-to-end keepalive timer");
            mapClassC["frame-relay"]["end-to-end"].keepalive.timer.addSC("recv", "Interval timer for incoming end-to-end Keepalive REQUESTS");
               mapClassC["frame-relay"]["end-to-end"].keepalive.timer.recv.addSC("<1-10000>", "seconds");
            mapClassC["frame-relay"]["end-to-end"].keepalive.timer.addSC("send", "Interval timer for outgoing end-to-end Keepalive REQUESTS");
               mapClassC["frame-relay"]["end-to-end"].keepalive.timer.send.addSC("<1-10000>", "seconds");
   mapClassC["frame-relay"].addSC("fair-queue", "VC fair queueing");
      mapClassC["frame-relay"]["fair-queue"].addSC("<1-4096>", "Congestive Discard Threshold");
         mapClassC["frame-relay"]["fair-queue"]["<1-4096>"].addSC("<16-4096>", "Number Dynamic Conversation Queues");
            mapClassC["frame-relay"]["fair-queue"]["<1-4096>"]["<16-4096>"].addSC("<0-100>", "Number Reservable Conversation Queues");
               mapClassC["frame-relay"]["fair-queue"]["<1-4096>"]["<16-4096>"]["<0-100>"].addSC("<0-4096>", "Max Buffer Size for Fair Queues");
   mapClassC["frame-relay"].addSC("fecn-adapt", "Enable Traffic Shaping reflection of FECN as BECN");
   mapClassC["frame-relay"].addSC("fragment", "fragmentation - Requires Frame Relay traffic-shaping to be configured at the interface level");
      mapClassC["frame-relay"].fragment.addSC("<16-1600>", "Define fragment size");
   mapClassC["frame-relay"].addSC("idle-timer", "Idle timeout for a SVC, Default = 120 sec");
      mapClassC["frame-relay"]["idle-timer"].addSC("<0-2000000>", "Applied to both Incoming/Outgoing traffic, Seconds");
      mapClassC["frame-relay"]["idle-timer"].addSC("in", "Idle timeout for incoming traffic");
      mapClassC["frame-relay"]["idle-timer"].addSC("out", "Idle timeout for outgoing traffic");
         mapClassC["frame-relay"]["idle-timer"].out.addSC("<0-2000000>", "Seconds");
   mapClassC["frame-relay"].addSC("mincir", "Minimum acceptable CIR, Default = 56000 bps");
      mapClassC["frame-relay"].mincir.addSC("<1000-45000000>", "Applied to both Incoming/Outgoing CIR, Bits per second");
      mapClassC["frame-relay"].mincir.addSC("in", "Incoming minimum acceptable CIR (Frame-Relay SVC only)");
      mapClassC["frame-relay"].mincir.addSC("out", "Outgoing minimum acceptable CIR");
         mapClassC["frame-relay"].mincir.out.addSC("<1000-45000000>", "Bits per second");
   mapClassC["frame-relay"].addSC("priority-group", "VC priority queueing");
      mapClassC["frame-relay"]["priority-group"].addSC("<1-16>", "Priority group number");
   mapClassC["frame-relay"].addSC("traffic-rate", "VC traffic rate");
      mapClassC["frame-relay"]["traffic-rate"].addSC("<600-45000000>", "Committed Information Rate (CIR)");
         mapClassC["frame-relay"]["traffic-rate"]["<600-45000000>"].addSC("<0-45000000>", "Peak rate (CIR + EIR)");
   mapClassC["frame-relay"].addSC("voice", "voice options");
      mapClassC["frame-relay"].voice.addSC("bandwidth", "Total bandwidth reserved for voice");
         mapClassC["frame-relay"].voice.bandwidth.addSC("<8000-45000000>", "bps reserved - value should be less than or equal to cir value");
            mapClassC["frame-relay"].voice.bandwidth["<8000-45000000>"].addSC("queue", "Queue reserved for vofr traffic");
               mapClassC["frame-relay"].voice.bandwidth["<8000-45000000>"].queue.addSC("<30-1000>", "queue depth");
mapClassC.addSC("help", "Description of the interactive help system");
mapClassC.addSC("no", "Negate a command or set its defaults");
